Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::ZipFragment< First_, Second_ > Struct Template Reference
Fragment Concept

A template defining Fragment Concept.

`#include <zip_fragment.h>`

## Public Types
typedef First_ | First
| First fragment object. More...
typedef Second_ | Second
| Second fragment object. More...
typedef ZipFragment< First, Second > | This_
| This class. More...

## Public Member Functions
CUTLASS_DEVICE | ZipFragment ()
| Default ctor. More...
CUTLASS_DEVICE | ZipFragment (First const &_first, Second const &_second)
| Copy ctor. More...
CUTLASS_DEVICE void | clear ()
| Clear a fragment. More...

## Public Attributes
First | first
| First fragment object. More...
Second | second
| Second fragment object. More...

## Member Typedef Documentation

## ◆ First

template<typename First_, typename Second_>

typedef First_ cutlass::ZipFragment< First_, Second_ >::First

## ◆ Second

template<typename First_, typename Second_>

typedef Second_ cutlass::ZipFragment< First_, Second_ >::Second

## ◆ This_

template<typename First_, typename Second_>

typedef ZipFragment<First, Second> cutlass::ZipFragment< First_, Second_ >::This_

## Constructor & Destructor Documentation

## ◆ ZipFragment() [1/2]

template<typename First_, typename Second_>

CUTLASS_DEVICE cutlass::ZipFragment< First_, Second_ >::ZipFragment | ( |  | ) |
| inline

## ◆ ZipFragment() [2/2]

template<typename First_, typename Second_>

CUTLASS_DEVICE cutlass::ZipFragment< First_, Second_ >::ZipFragment | ( | First const & | _first,
|  | Second const & | _second
| ) |  |
| inline

## Member Function Documentation

## ◆ clear()

template<typename First_, typename Second_>

CUTLASS_DEVICE void cutlass::ZipFragment< First_, Second_ >::clear | ( |  | ) |
| inline

## Member Data Documentation

## ◆ first

template<typename First_, typename Second_>

First cutlass::ZipFragment< First_, Second_ >::first

## ◆ second

template<typename First_, typename Second_>

Second cutlass::ZipFragment< First_, Second_ >::second

The documentation for this struct was generated from the following file:

- zip_fragment.h